use warnings;
use strict;
use Module::Build;

my $requires = {
  perl => '>=5.10.0',
  #function halt only works properly starting at this version
  Dancer => '>=1.3121',
  Catmandu => '=0.9103',  
  'Try::Tiny' => 0,
  'Dancer::Plugin::Catmandu::OAI' => '0.0305',
  'Dancer::Middleware::Rebase' => 0,
  'Starman' => 0,
  'Catmandu::Store::Solr' => '0.0204', 
  'Catmandu::Fix::XML' => '0.1'
};
my $recommends = {
};
my $build = Module::Build->new(
  module_name => 'lludss-oai',
  dist_version => '0.01',
  dist_author => [qw(
    nicolas.franck@ugent.be
  )],
  dist_abstract => 'LibreCat compliant OAI endpoint',
  requires => $requires,
  recommends => $recommends,
  create_license => 1
);
$build->create_build_script();
