package Lludss::OAI;
use Catmandu::Sane;
use File::Basename qw();
use Cwd qw();
use Log::Any::Adapter qw();
use Log::Log4perl qw();

sub root {
    state $root = do {
        my $dir = Cwd::abs_path(File::Basename::dirname(__FILE__));
        my(@p) = split /\//,$dir;
        shift @p;
        my $r;
        while(@p){
            my $d = "/".join("/",@p);
            my $c = "$d/catmandu.yml";
            if(-f $c){
                $r = $d;
                last;
            }
            pop @p;
        }
        $r;
    };
}
sub init_log {
    state $loaded = 0;
    return if $loaded;
    #init log
    Log::Log4perl::init(root().'/log4perl.conf');
    Log::Any::Adapter->set('Log::Log4perl');
    $loaded = 1;
}

BEGIN {
    init_log();
};

1;
