#!/bin/bash
#install perl modules
carton="/usr/local/bin/carton"
cpanm="/usr/local/bin/cpanm"

if [ -f $carton ];then
    $carton install
else
    $cpanm Carton
    $carton install
fi

#install services (if necessary)
has_service=$(chkconfig --list | grep lludss-oai)
if [ "$has_service" == "" ];then
    echo "adding service lludss-oai.."
    chkconfig --add lludss-oai && chkconfig --level 345 lludss-oai on && echo "service lludss-oai installed!"
else
    echo "service lludss-oai already installed"
fi

#reload/start services
(service lludss-oai status && service lludss-oai reload) || service lludss-oai start
