#/usr/bin/env perl
use Catmandu::Sane;
use Catmandu -load => ["."];
use Dancer;
use Plack::Builder;

use Lludss::OAI;

use Lludss::App::OAI;
use Lludss::App::SRU;
use Lludss::App::Control::Last;

my $base_url = Catmandu->config->{base_url};

my $app = sub {
  Dancer->dance(Dancer::Request->new(env => $_[0]));
};

builder {
  mount "/" => builder {
    enable '+Dancer::Middleware::Rebase', base => $base_url if $base_url;
    $app;
  };
};
