Name: lludss-oai
Summary: OAI Endpoint in Catmandu style
License: perl
Version: 0.1
Release: X

BuildArch: noarch
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
Requires: perl >= 5.10,make,gcc,pcre,pcre-devel,libxml2-devel,expat-devel,zlib-devel,perl-Module-Build,openssl,openssl-devel,perl-YAML,perl-CPAN,perl-App-cpanminus,libxslt-devel
Source: %{name}.tar.gz

%description
OAI Endpoint in Catmandu style

%prep
%setup -q -n %{name}
%filter_provides_in -P .
%filter_requires_in -P .
%filter_setup

%build
echo "build complete"

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}/opt/%{name}
mkdir -p %{buildroot}/etc/init.d
mkdir -p %{buildroot}/var/log/%{name}

cp -r $RPM_BUILD_DIR/%{name}/* %{buildroot}/opt/%{name}/
cp $RPM_BUILD_DIR/%{name}/init.d/%{name}.init %{buildroot}/etc/init.d/%{name}

echo "install complete"

%clean
rm -rf %{buildroot}

%files
%defattr(-,lludss,lludss,-)
%attr(0755,root,root) /etc/init.d/%{name}
%attr(0774,-,-) /opt/%{name}/postinstall.sh
/opt/%{name}/
/etc/init.d/%{name}
/var/log/%{name}

%doc

%post
( cd /opt/%name && ./postinstall.sh ) || exit 1

%preun
if [ "$1" = 0 ] ; then
  service %{name} stop &> /dev/null
  chkconfig --del %{name} &> /dev/null
  echo "service %{name} removed"
fi
exit 0

%changelog
